diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 0c25d92..82fe76f 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -3203,7 +3203,7 @@ Greve, David A.; McClurg, Jedidiah R.\\
 \subsection{Interval Arithmetic} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem [Lambov 06]{Lambov06} Lambov, Branimir\\
-``Interval Arithmetic Using SSE-2\\
+``Interval Arithmetic Using SSE-2''\\
 in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 (2006) pp102-113
 
@@ -3231,5 +3231,36 @@ format and allows the design of reasonably fast routines that will
 evaluate these functions with correct rounding, at least in some situations.
 \end{adjustwidth}
 
+\subsection{Advanced Documentation} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\bibitem [Bostock 14]{Bos14} Bostock, Mike\\
+``Visualizing Algorithms''\\
+\verb|bost.ocks.org/mike/algorithms|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This website hosts various ways of visualizing algorithms. The hope is
+that these kind of techniques can be applied to Axiom.
+\end{adjustwidth}
+
+\bibitem[Victor 11]{Vict11} Victor, Bret\\
+``Up and Down the Ladder of Abstraction''\\
+\verb|worrydream.com/LadderOfAbstraction|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This interactive essay presents the ladder of abstraction, a technique for
+thinking explicitly about these levels, so a designer can move among
+them consciously and confidently. 
+\end{adjustwidth}
+
+\bibitem[Victor 12]{Vict12} Victor, Bret\\
+``Inventing on Principle''\\
+\verb|www.youtube.com/watch?v=PUv66718DII|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This video raises the level of discussion about human-computer interaction
+from a technical question to a question of effectively capturing ideas.
+In particular, this applies well to Axiom's focus on literate programming.
+\end{adjustwidth}
+
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index 5b98fe5..0726df5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140629 c1m src/axiom-website/patches.html 20140629.02.tpd.patch
+20140629 tpd books/bookvolbib add Vict11, Vict12 to Advanced Documentation
 20140629 c1m src/axiom-website/patches.html 20140629.01.c1m.patch
 20140629 c1m books/bookvol5 functionp -> canFuncall?
 20140629 c1m books/bookvol9 functionp -> canFuncall?
diff --git a/patch b/patch
index 97ef407..edcef0d 100644
--- a/patch
+++ b/patch
@@ -1,8 +1,3 @@
-books/bookvol5, books/bookvol9, src/interp/* functionp -> canFuncall?
+books/bookvolbib add Vict11, Vict12 to Advanced Documentation
 
-Axiom has a function, originally in BOOT, called functionp.
-BOOT is case sensitive so this function is called |functionp| in lisp.
-Lisp uppercases symbols so functionp becomes FUNCTIONP.
-
-This led to a subtle failing change, found by Camm Maguire.
-The BOOT-derived function is now called canFuncall?
+Add work by Bret Victor to the section on Advanced Documentation.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f7aadb7..e276bee 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4504,6 +4504,8 @@ zips/noweb-2.10a.tgz deleted, noweb removed
 src/input/dbtest.input remove failing input file
 <a href="patches/20140629.01.c1m.patch">20140629.01.c1m.patch</a>
 functionp -> canFuncall?
+<a href="patches/20140629.02.tpd.patch">20140629.02.tpd.patch</a>
+books/bookvolbib add Vict11, Vict12 to Advanced Documentation
  </body>
 </html>
 
